# List publishing connectors

`GET /v1/connectors`

Destinations documents can be published to, with their auth methods, the settings a connection needs and the config a publication takes (JSON Schema), and what they can do.

Scope: `docs:read`.

## Request

```bash
curl "https://api.lydie.co/v1/connectors" \
  -H "Authorization: Bearer $LYDIE_TOKEN"
```

## Response

- `connectors` (ConnectorInfo[], required)
  - `id` (string, required)
  - `name` (string, required)
  - `description` (string, required)
  - `auth` (object[], required)
    - `type` (string, required): One of: `token`, `oauth2`, `generated`.
    - `label` (string, required)
    - `fields` (object, required, nullable): JSON Schema of the credentials to type in.
    - `available` (boolean, required): false: OAuth is not configured on this server.
  - `settingsSchema` (object, required)
  - `configSchema` (object, required)
  - `capabilities` (object, required)
    - `format` (string, required): One of: `markdown`, `html`, `json`.
    - `remoteState` (boolean, required)
    - `pull` (boolean, required)
    - `conflicts` (string, required): One of: `pullRequest`, `diverge`, `none`.
    - `assets` (string, required): One of: `files`, `upload`, `link`.
    - `unpublish` (string, required): One of: `delete`, `draft`, `notify`.
    - `drafts` (boolean, required)
    - `schedule` (boolean, required)

```json
{
  "connectors": [
    {
      "id": "string",
      "name": "Notes",
      "description": "string",
      "auth": [
        {
          "type": "token",
          "label": null,
          "fields": null,
          "available": null
        }
      ],
      "settingsSchema": {},
      "configSchema": {},
      "capabilities": {
        "format": "markdown",
        "remoteState": false,
        "pull": false,
        "conflicts": "pullRequest",
        "assets": "files",
        "unpublish": "delete",
        "drafts": false,
        "schedule": false
      }
    }
  ]
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
